Subject: Re: bug#14616: 24.3.50; Excessive cursor movement on non-X Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Aug 2013 18:45:45 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 05 Aug 2013 21:53:36 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Because prepare_menu_bars, called as part of redisplay, loops over all
> > the frames.
> 
> I see.  Ironically, I have (menu-bar-mode -1), so I have no menu bars at
> all.  :-)

That's OK, update_menu_bar, called by prepare_menu_bars, does TRT in
your case and returns immediately without doing anything.

The problem is in x_consider_frame_title, which actually switches to
other frames and updates their titles.  As strange as it sounds, the
code explicitly tries to update the titles of non-GUI frames as well,
although I don't see the point in that.  To be on the safe side, the
change I proposed disables the update of the frame title only for TTY
frames other than the top frame, the only one that is visible on a
TTY.